using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.OG;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.OG
{
    /// <summary>
    /// 考核记录项目
    /// </summary>
    [Description("考核记录项目")]
    public class T_OG_SAFE_ASSESS_RECORD_ITEM : MesEntityBase
    {
        /// <summary>
        /// 考核记录详情ID
        /// </summary>
        [Description("考核记录详情")]
        [DataFieldForeignKey("Nav_SafeAssessRecordDetail", "Nav_SafeAssessRecordItem")]
        public Guid RECORD_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航: 考核记录详情
        /// </summary>
        [Description("导航: 考核记录详情")]
        public T_OG_SAFE_ASSESS_RECORD_DETAIL Nav_SafeAssessRecordDetail { get; set; }

        /// <summary>
        /// 考核项目ID
        /// </summary>
        [Description("考核项目")]
        [DataFieldForeignKey("Nav_SafeAssessItem")]
        [FormFieldEdit]
        public Guid? ASSESS_ITEM_ID { get; set; }

        /// <summary>
        /// 导航: 考核项目
        /// </summary>
        [Description("导航: 考核项目")]
        public T_OG_SAFE_ASSESS_ITEM Nav_SafeAssessItem { get; set; }
        [Description("顺序")]
        public int ROW_NO { get; set; }
        /// <summary>
        /// 考核得分
        /// </summary>
        [Description("考核得分")]
        [FormFieldEdit]
        public decimal? SCORE { get; set; }

        /// <summary>
        /// 考核结果说明
        /// </summary>
        [Description("考核结果说明")]
        [FormFieldEdit]
        [DataFieldLength(500)] 
        public string RESULT_INSTRUCTIONS { get; set; }

        /// <summary>
        /// 纠正与预防措施
        /// </summary>
        [Description("纠正与预防措施")]
        [FormFieldEdit]
        [DataFieldLength(500)] 
        public string CORRECT_MEASURES { get; set; }    
    }
}
